#! /usr/bin/env python

# This script tests whether all extra kerning pairs use
# characters that are really in the font.

# example of usage:

# test_missing_chars.py GentiumPlus-R.afm GentiumPlus-R-extra.afm


import os, sys, string

gentiumglyphs = set("")
f = open(sys.argv[1], "r")
for s in f:
    if s.find("C ") == 0:
        a = s.strip().split()
        gentiumglyphs.add(a[7])
f.close()


fin = open(sys.argv[2], "r")
for s in fin:
    if s.find("Small") < 0:
        [a, b, c, d] = s.split()
        if b not in gentiumglyphs:
    	    print b, "missing"
        if c not in gentiumglyphs:
    	    print c, "missing"
fin.close()
